# Form implementation generated from reading ui file 'src/eric7/Preferences/ConfigurationPages/HelpDocumentationPage.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_HelpDocumentationPage(object):
    def setupUi(self, HelpDocumentationPage):
        HelpDocumentationPage.setObjectName("HelpDocumentationPage")
        HelpDocumentationPage.resize(526, 840)
        self.verticalLayout = QtWidgets.QVBoxLayout(HelpDocumentationPage)
        self.verticalLayout.setObjectName("verticalLayout")
        self.headerLabel = QtWidgets.QLabel(parent=HelpDocumentationPage)
        self.headerLabel.setObjectName("headerLabel")
        self.verticalLayout.addWidget(self.headerLabel)
        self.line17 = QtWidgets.QFrame(parent=HelpDocumentationPage)
        self.line17.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line17.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line17.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line17.setObjectName("line17")
        self.verticalLayout.addWidget(self.line17)
        self.groupBox = QtWidgets.QGroupBox(parent=HelpDocumentationPage)
        self.groupBox.setObjectName("groupBox")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.groupBox)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.searchQtHelpCheckBox = QtWidgets.QCheckBox(parent=self.groupBox)
        self.searchQtHelpCheckBox.setObjectName("searchQtHelpCheckBox")
        self.verticalLayout_2.addWidget(self.searchQtHelpCheckBox)
        self.verticalLayout.addWidget(self.groupBox)
        self.groupBox_9 = QtWidgets.QGroupBox(parent=HelpDocumentationPage)
        self.groupBox_9.setObjectName("groupBox_9")
        self.verticalLayout_9 = QtWidgets.QVBoxLayout(self.groupBox_9)
        self.verticalLayout_9.setObjectName("verticalLayout_9")
        self.ericDocDirPicker = EricPathPicker(parent=self.groupBox_9)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.ericDocDirPicker.sizePolicy().hasHeightForWidth())
        self.ericDocDirPicker.setSizePolicy(sizePolicy)
        self.ericDocDirPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.ericDocDirPicker.setObjectName("ericDocDirPicker")
        self.verticalLayout_9.addWidget(self.ericDocDirPicker)
        self.textLabel1_8_2_2_6 = QtWidgets.QLabel(parent=self.groupBox_9)
        self.textLabel1_8_2_2_6.setWordWrap(True)
        self.textLabel1_8_2_2_6.setObjectName("textLabel1_8_2_2_6")
        self.verticalLayout_9.addWidget(self.textLabel1_8_2_2_6)
        self.verticalLayout.addWidget(self.groupBox_9)
        self.groupBox_4 = QtWidgets.QGroupBox(parent=HelpDocumentationPage)
        self.groupBox_4.setObjectName("groupBox_4")
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(self.groupBox_4)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.pythonDocDirPicker = EricPathPicker(parent=self.groupBox_4)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.pythonDocDirPicker.sizePolicy().hasHeightForWidth())
        self.pythonDocDirPicker.setSizePolicy(sizePolicy)
        self.pythonDocDirPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.pythonDocDirPicker.setObjectName("pythonDocDirPicker")
        self.verticalLayout_3.addWidget(self.pythonDocDirPicker)
        self.textLabel1_8_2 = QtWidgets.QLabel(parent=self.groupBox_4)
        self.textLabel1_8_2.setWordWrap(True)
        self.textLabel1_8_2.setObjectName("textLabel1_8_2")
        self.verticalLayout_3.addWidget(self.textLabel1_8_2)
        self.verticalLayout.addWidget(self.groupBox_4)
        self.groupBox_8 = QtWidgets.QGroupBox(parent=HelpDocumentationPage)
        self.groupBox_8.setObjectName("groupBox_8")
        self.verticalLayout_5 = QtWidgets.QVBoxLayout(self.groupBox_8)
        self.verticalLayout_5.setObjectName("verticalLayout_5")
        self.qt5DocDirPicker = EricPathPicker(parent=self.groupBox_8)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.qt5DocDirPicker.sizePolicy().hasHeightForWidth())
        self.qt5DocDirPicker.setSizePolicy(sizePolicy)
        self.qt5DocDirPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.qt5DocDirPicker.setObjectName("qt5DocDirPicker")
        self.verticalLayout_5.addWidget(self.qt5DocDirPicker)
        self.textLabel1_8_2_2_4 = QtWidgets.QLabel(parent=self.groupBox_8)
        self.textLabel1_8_2_2_4.setWordWrap(True)
        self.textLabel1_8_2_2_4.setObjectName("textLabel1_8_2_2_4")
        self.verticalLayout_5.addWidget(self.textLabel1_8_2_2_4)
        self.verticalLayout.addWidget(self.groupBox_8)
        self.groupBox_10 = QtWidgets.QGroupBox(parent=HelpDocumentationPage)
        self.groupBox_10.setObjectName("groupBox_10")
        self.verticalLayout_6 = QtWidgets.QVBoxLayout(self.groupBox_10)
        self.verticalLayout_6.setObjectName("verticalLayout_6")
        self.qt6DocDirPicker = EricPathPicker(parent=self.groupBox_10)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.qt6DocDirPicker.sizePolicy().hasHeightForWidth())
        self.qt6DocDirPicker.setSizePolicy(sizePolicy)
        self.qt6DocDirPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.qt6DocDirPicker.setObjectName("qt6DocDirPicker")
        self.verticalLayout_6.addWidget(self.qt6DocDirPicker)
        self.textLabel1_8_2_2_7 = QtWidgets.QLabel(parent=self.groupBox_10)
        self.textLabel1_8_2_2_7.setWordWrap(True)
        self.textLabel1_8_2_2_7.setObjectName("textLabel1_8_2_2_7")
        self.verticalLayout_6.addWidget(self.textLabel1_8_2_2_7)
        self.verticalLayout.addWidget(self.groupBox_10)
        self.pyqt5Group = QtWidgets.QGroupBox(parent=HelpDocumentationPage)
        self.pyqt5Group.setObjectName("pyqt5Group")
        self.verticalLayout_7 = QtWidgets.QVBoxLayout(self.pyqt5Group)
        self.verticalLayout_7.setObjectName("verticalLayout_7")
        self.pyqt5DocDirPicker = EricPathPicker(parent=self.pyqt5Group)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.pyqt5DocDirPicker.sizePolicy().hasHeightForWidth())
        self.pyqt5DocDirPicker.setSizePolicy(sizePolicy)
        self.pyqt5DocDirPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.pyqt5DocDirPicker.setObjectName("pyqt5DocDirPicker")
        self.verticalLayout_7.addWidget(self.pyqt5DocDirPicker)
        self.textLabel1_8_2_2_5 = QtWidgets.QLabel(parent=self.pyqt5Group)
        self.textLabel1_8_2_2_5.setWordWrap(True)
        self.textLabel1_8_2_2_5.setObjectName("textLabel1_8_2_2_5")
        self.verticalLayout_7.addWidget(self.textLabel1_8_2_2_5)
        self.verticalLayout.addWidget(self.pyqt5Group)
        self.pyqt6Group = QtWidgets.QGroupBox(parent=HelpDocumentationPage)
        self.pyqt6Group.setObjectName("pyqt6Group")
        self.verticalLayout_8 = QtWidgets.QVBoxLayout(self.pyqt6Group)
        self.verticalLayout_8.setObjectName("verticalLayout_8")
        self.pyqt6DocDirPicker = EricPathPicker(parent=self.pyqt6Group)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.pyqt6DocDirPicker.sizePolicy().hasHeightForWidth())
        self.pyqt6DocDirPicker.setSizePolicy(sizePolicy)
        self.pyqt6DocDirPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.pyqt6DocDirPicker.setObjectName("pyqt6DocDirPicker")
        self.verticalLayout_8.addWidget(self.pyqt6DocDirPicker)
        self.textLabel1_8_2_2_8 = QtWidgets.QLabel(parent=self.pyqt6Group)
        self.textLabel1_8_2_2_8.setWordWrap(True)
        self.textLabel1_8_2_2_8.setObjectName("textLabel1_8_2_2_8")
        self.verticalLayout_8.addWidget(self.textLabel1_8_2_2_8)
        self.verticalLayout.addWidget(self.pyqt6Group)
        self.pyside2Group = QtWidgets.QGroupBox(parent=HelpDocumentationPage)
        self.pyside2Group.setObjectName("pyside2Group")
        self.verticalLayout_10 = QtWidgets.QVBoxLayout(self.pyside2Group)
        self.verticalLayout_10.setObjectName("verticalLayout_10")
        self.pyside2DocDirPicker = EricPathPicker(parent=self.pyside2Group)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.pyside2DocDirPicker.sizePolicy().hasHeightForWidth())
        self.pyside2DocDirPicker.setSizePolicy(sizePolicy)
        self.pyside2DocDirPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.pyside2DocDirPicker.setObjectName("pyside2DocDirPicker")
        self.verticalLayout_10.addWidget(self.pyside2DocDirPicker)
        self.textLabel1_8_2_3 = QtWidgets.QLabel(parent=self.pyside2Group)
        self.textLabel1_8_2_3.setWordWrap(True)
        self.textLabel1_8_2_3.setObjectName("textLabel1_8_2_3")
        self.verticalLayout_10.addWidget(self.textLabel1_8_2_3)
        self.verticalLayout.addWidget(self.pyside2Group)
        self.pyside6Group = QtWidgets.QGroupBox(parent=HelpDocumentationPage)
        self.pyside6Group.setObjectName("pyside6Group")
        self.verticalLayout_11 = QtWidgets.QVBoxLayout(self.pyside6Group)
        self.verticalLayout_11.setObjectName("verticalLayout_11")
        self.pyside6DocDirPicker = EricPathPicker(parent=self.pyside6Group)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.pyside6DocDirPicker.sizePolicy().hasHeightForWidth())
        self.pyside6DocDirPicker.setSizePolicy(sizePolicy)
        self.pyside6DocDirPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.pyside6DocDirPicker.setObjectName("pyside6DocDirPicker")
        self.verticalLayout_11.addWidget(self.pyside6DocDirPicker)
        self.textLabel1_8_2_4 = QtWidgets.QLabel(parent=self.pyside6Group)
        self.textLabel1_8_2_4.setWordWrap(True)
        self.textLabel1_8_2_4.setObjectName("textLabel1_8_2_4")
        self.verticalLayout_11.addWidget(self.textLabel1_8_2_4)
        self.verticalLayout.addWidget(self.pyside6Group)
        spacerItem = QtWidgets.QSpacerItem(479, 41, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout.addItem(spacerItem)

        self.retranslateUi(HelpDocumentationPage)
        QtCore.QMetaObject.connectSlotsByName(HelpDocumentationPage)
        HelpDocumentationPage.setTabOrder(self.searchQtHelpCheckBox, self.ericDocDirPicker)
        HelpDocumentationPage.setTabOrder(self.ericDocDirPicker, self.pythonDocDirPicker)
        HelpDocumentationPage.setTabOrder(self.pythonDocDirPicker, self.qt5DocDirPicker)
        HelpDocumentationPage.setTabOrder(self.qt5DocDirPicker, self.qt6DocDirPicker)
        HelpDocumentationPage.setTabOrder(self.qt6DocDirPicker, self.pyqt5DocDirPicker)
        HelpDocumentationPage.setTabOrder(self.pyqt5DocDirPicker, self.pyqt6DocDirPicker)
        HelpDocumentationPage.setTabOrder(self.pyqt6DocDirPicker, self.pyside2DocDirPicker)
        HelpDocumentationPage.setTabOrder(self.pyside2DocDirPicker, self.pyside6DocDirPicker)

    def retranslateUi(self, HelpDocumentationPage):
        _translate = QtCore.QCoreApplication.translate
        self.headerLabel.setText(_translate("HelpDocumentationPage", "<b>Configure help documentation</b>"))
        self.groupBox.setTitle(_translate("HelpDocumentationPage", "QtHelp"))
        self.searchQtHelpCheckBox.setToolTip(_translate("HelpDocumentationPage", "Select to search for new QtHelp documents when the application starts."))
        self.searchQtHelpCheckBox.setText(_translate("HelpDocumentationPage", "Search new QtHelp documents on startup"))
        self.groupBox_9.setTitle(_translate("HelpDocumentationPage", "eric API Documentation"))
        self.ericDocDirPicker.setToolTip(_translate("HelpDocumentationPage", "Enter the eric documentation directory"))
        self.textLabel1_8_2_2_6.setText(_translate("HelpDocumentationPage", "<b>Note</b>: Leave empty to use the default location."))
        self.groupBox_4.setTitle(_translate("HelpDocumentationPage", "Python 3 Documentation"))
        self.pythonDocDirPicker.setToolTip(_translate("HelpDocumentationPage", "Enter the Python 3 documentation directory"))
        self.textLabel1_8_2.setText(_translate("HelpDocumentationPage", "<b>Note</b>: Leave empty to use the PYTHON3DOCDIR environment variable, if set."))
        self.groupBox_8.setTitle(_translate("HelpDocumentationPage", "Qt5 Documentation"))
        self.qt5DocDirPicker.setToolTip(_translate("HelpDocumentationPage", "Enter the Qt5 documentation directory"))
        self.textLabel1_8_2_2_4.setText(_translate("HelpDocumentationPage", "<b>Note</b>: Leave empty to use the QT5DOCDIR environment variable, if set."))
        self.groupBox_10.setTitle(_translate("HelpDocumentationPage", "Qt6 Documentation"))
        self.qt6DocDirPicker.setToolTip(_translate("HelpDocumentationPage", "Enter the Qt6 documentation directory"))
        self.textLabel1_8_2_2_7.setText(_translate("HelpDocumentationPage", "<b>Note</b>: Leave empty to use the QT6DOCDIR environment variable, if set."))
        self.pyqt5Group.setTitle(_translate("HelpDocumentationPage", "PyQt5 Documentation"))
        self.pyqt5DocDirPicker.setToolTip(_translate("HelpDocumentationPage", "Enter the PyQt5 documentation directory"))
        self.textLabel1_8_2_2_5.setText(_translate("HelpDocumentationPage", "<b>Note</b>: Leave empty to use the PYQT5DOCDIR environment variable, if set."))
        self.pyqt6Group.setTitle(_translate("HelpDocumentationPage", "PyQt6 Documentation"))
        self.pyqt6DocDirPicker.setToolTip(_translate("HelpDocumentationPage", "Enter the PyQt6 documentation directory"))
        self.textLabel1_8_2_2_8.setText(_translate("HelpDocumentationPage", "<b>Note</b>: Leave empty to use the PYQT6DOCDIR environment variable, if set."))
        self.pyside2Group.setTitle(_translate("HelpDocumentationPage", "PySide2 Documentation"))
        self.pyside2DocDirPicker.setToolTip(_translate("HelpDocumentationPage", "Enter the PySide2 documentation directory"))
        self.textLabel1_8_2_3.setText(_translate("HelpDocumentationPage", "<b>Note</b>: Leave empty to use the PYSIDE2DOCDIR environment variable, if set."))
        self.pyside6Group.setTitle(_translate("HelpDocumentationPage", "PySide6 Documentation"))
        self.pyside6DocDirPicker.setToolTip(_translate("HelpDocumentationPage", "Enter the PySide6 documentation directory"))
        self.textLabel1_8_2_4.setText(_translate("HelpDocumentationPage", "<b>Note</b>: Leave empty to use the PYSIDE6DOCDIR environment variable, if set."))
from eric7.EricWidgets.EricPathPicker import EricPathPicker
